#!/bin/bash

el1='ld1'
name=$el1
PROG='PATH_TO_QUANTUM_ESPRESSO'

ener=0.0
let i=0
let z=2
while (( z < 10 ))  ; do

z=$(( $z + 1 ))

i=`expr $i + 1`
ocs=$(echo "$z-2" | bc -l)
if (( $ocs > 2))
  then
  ocs="2"
fi
ocp=$(echo "$z-$ocs-2" | bc -l)

cat > $name.d$i <<EOF
 &input
        zed=$z,
        config='[He] 2s$ocs 2p$ocp ',
        iswitch=1,
        dft='LDA',
 /
EOF

$PROG/bin/ld1.x < $name.d$i > $name.out$i

ener=`grep Etot $name.out$i | cut -c 15- | cut -c -12`

ocs=$(echo "$z-3" | bc -l)
if (( $ocs > 2))
  then
  ocs="2"
fi
ocp=$(echo "$z-$ocs-3" | bc -l)

cat > $name-ion.d$i <<EOF
 &input
    zed=$z,
    config='[He] 2s$ocs 2p$ocp ',
    iswitch=1,
    dft='LDA',
 /
EOF

$PROG/bin/ld1.x < $name-ion.d$i > $name-ion.out$i

enerion=`grep Etot $name-ion.out$i | cut -c 15- | cut -c -12`

ip=$(echo "($enerion-$ener ) * 13.6" | bc -l)

echo $z $ener $enerion $ip >> ionization.dat

done
