set yrange [4:26]
set xlabel 'Atomic number (Z)'
set ylabel 'I_p (eV)'
set label "Li" at 3.2,10
set label "Be" at 3.9,13
set label "B" at 4.9,12
set label "C" at 5.9,14
set label "N" at 6.9,17
set label "O" at 7.9,20
set label "F" at 8.9,23
set label "Ne" at 9.5,25
plot 'ionization_lsda.dat' u 1:4 w l  lw 2
replot 'ionization.dat' u 1:4 w l lw 2
replot 'ionization_lsda.dat' u 1:4 w p
replot 'ionization.dat' u 1:4 w p 
replot 'data.exp' u 1:2 w l lw 2

